Bug 9611 - extra qualification 'xbNtx::' on member 'AllocKeyBufs'
: extra qualification 'xbNtx::' on member 'AllocKeyBufs'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xbase)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-24 16:00 by
Modified: 2007-09-20 02:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-24 16:00:29
xbase не пересобирается с gcc-4.1 и собирать софт с ней не получается. 
Одинаковое сообщение на ошибку в ntx.h, в частности, при пересборке самой 
xbase:
Steps to Reproduce:
1. hsh --target=i586 ~/hasher xbase-2.0.0-alt2.src.rpm
2.
3.
Actual Results:  
/usr/src/RPM/BUILD/xbase-2.0.0/xbase/ntx.h:221: error: extra 
qualification 'xbNtx::' on member 'AllocKeyBufs'
make[1]: *** [dbf.lo] Error 1
------- Comment #1 From 2006-05-24 16:09:12 -------
Исправление тривиально: 
убрать xbNtx:: в объявлении AllocKeyBufs в ntx.h
------- Comment #2 From 2006-05-25 00:18:29 -------
fixed in -alt3